> ## Documentation Index
> Fetch the complete documentation index at: https://docs.feedspace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Single Text Review

> Get details of a specific text feed based on text feed ID.

Get details of a specific text feed based on text feed ID.


## OpenAPI

````yaml GET /feeds/text/{text_feed_id}
openapi: 3.1.0
info:
  title: Feedspace API
  description: Feedspace API v3 - Feedback and testimonial management platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.feedspace.io/v3
security: []
paths:
  /feeds/text/{text_feed_id}:
    get:
      tags:
        - TextFeeds
      description: Get details of a specific text feed based on text feed ID.
      parameters:
        - name: text_feed_id
          in: path
          description: Text feed ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Text review details fetched successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/TextFeedResponse'
              examples:
                success:
                  value:
                    data:
                      id: 9793
                      unique_feedback_id: YiyoZB
                      language_id: null
                      public_url: https://www.feedspace.io/f/YiyoZB
                      comment: Nice product, keep going!
                      favourite: true
                      rating_type: star
                      response: '5'
                      review_title: Excellent Service
                      sentiment_id: null
                      reviewed_at: '2025-04-07T06:12:05.000000Z'
                      created_at: '2025-04-07T06:12:05.000000Z'
                      feed_fields:
                        name: Henry Ford
                        profile_pic_url: null
                        position: Engineer
                        organization_name: null
                        consent: null
                      feed_form:
                        name: New Review Form
                        unique_form_id: form_gSgElcsXX8LaI6RtMA6JqlkN
                        public_url: https://www.feedspace.io/u/4en9smV
                      question_answers:
                        - feed_form_question_id: 30081
                          question_type: 1
                          question_text: name
                          default_value: ''
                          question_label: ''
                          mandatory: 0
                          answer: Henry Ford
                          placeholder: Name
                        - feed_form_question_id: 30082
                          question_type: 1
                          question_text: email
                          default_value: ''
                          question_label: ''
                          mandatory: 0
                          answer: ''
                          placeholder: Email
                        - feed_form_question_id: 30084
                          question_type: 1
                          question_text: position
                          default_value: ''
                          question_label: Job Role
                          mandatory: 0
                          answer: Engineer
                          placeholder: Job Role
                        - feed_form_question_id: 30085
                          question_type: 1
                          question_text: organization_name
                          default_value: ''
                          question_label: Company Name
                          mandatory: 0
                          answer: ''
                          placeholder: Company Name
                        - feed_form_question_id: 30086
                          question_type: 1
                          question_text: contact_number
                          default_value: ''
                          question_label: ''
                          mandatory: 0
                          answer: ''
                          placeholder: Contact Number
                        - feed_form_question_id: 30083
                          question_type: 4
                          question_text: consent
                          default_value: ''
                          question_label: >-
                            I hereby grant permission to share this review with
                            others.
                          mandatory: 0
                          answer: '1'
                          placeholder: Consent
                      extra_details: null
                      meta_properties: null
                      reviewer_social_urls: []
                      duplicated_from_id: null
                      attachments: []
      security:
        - basicAuth: []
components:
  schemas:
    TextFeedResponse:
      type: object
      properties:
        id:
          type: integer
        unique_feedback_id:
          type: string
        language_id:
          type:
            - integer
            - 'null'
        public_url:
          type: string
        comment:
          type:
            - string
            - 'null'
        favourite:
          type: boolean
        rating_type:
          type: string
        response:
          type: string
        review_title:
          type:
            - string
            - 'null'
        sentiment_id:
          type:
            - integer
            - 'null'
        reviewed_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type: string
          format: date-time
        feed_fields:
          $ref: '#/components/schemas/FeedFields'
        feed_form:
          $ref: '#/components/schemas/FeedForm'
        question_answers:
          type: array
          items:
            $ref: '#/components/schemas/QuestionAnswer'
        extra_details:
          type:
            - string
            - 'null'
        meta_properties:
          type:
            - object
            - 'null'
        reviewer_social_urls:
          type: array
          items:
            type: string
        duplicated_from_id:
          type:
            - integer
            - 'null'
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/TextFeedAttachment'
    FeedFields:
      type: object
      properties:
        name:
          type: string
        profile_pic_url:
          type:
            - string
            - 'null'
        position:
          type:
            - string
            - 'null'
        organization_name:
          type:
            - string
            - 'null'
        consent:
          type:
            - boolean
            - 'null'
    FeedForm:
      type: object
      properties:
        name:
          type: string
        unique_form_id:
          type: string
        public_url:
          type: string
    QuestionAnswer:
      type: object
      properties:
        feed_form_question_id:
          type: integer
        question_type:
          type: integer
        question_text:
          type: string
        default_value:
          type: string
        question_label:
          type: string
        mandatory:
          type: integer
        answer:
          type:
            - string
            - 'null'
        placeholder:
          type: string
    TextFeedAttachment:
      type: object
      properties:
        id:
          type: integer
        type:
          type: string
        original_url:
          type:
            - string
            - 'null'
        processed_url:
          type:
            - string
            - 'null'
        static_thumb_url:
          type:
            - string
            - 'null'
        processing_status:
          type: string
        transcript:
          type:
            - string
            - 'null'
        trim_status:
          type:
            - string
            - 'null'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        HTTP Basic Authentication using API Key and Secret Key. The credentials
        should be Base64 encoded in the format 'api_key:secret_key'. You can
        obtain your API Key and Secret Key from Feedspace → Automation → API
        (https://app.feedspace.io/automation/api).

````